Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Link Class Reference

`#include <Link.h>`

Inheritance diagram for ACE_RMCast::Link:

[legend]
Collaboration diagram for ACE_RMCast::Link:

[legend]
List of all members.

## Public Member Functions
| Link (Address const &addr, Parameters const &params)
virtual void | in_start (In_Element *in)
virtual void | out_start (Out_Element *out)
virtual void | in_stop ()
virtual void | send (Message_ptr m)
## Private Member Functions
virtual void | send_ (Message_ptr m)
void | recv ()
virtual void | recv (Message_ptr)
## Static Private Member Functions
ACE_THR_FUNC_RETURN | recv_thunk (void *obj)
## Private Attributes
Parameters const & | params_
Address | addr_
Address | self_
ACE_SOCK_Dgram_Mcast | rsock_
ACE_SOCK_Dgram | ssock_
bool | stop_
ACE_Thread_Manager | recv_mgr_
Message_ptr | hold_
Mutex | mutex_

## Constructor & Destructor Documentation

ACE_RMCast::Link::Link | ( | Address const & | addr,
|  | Parameters const & | params
| ) |

## Member Function Documentation

void ACE_RMCast::Link::in_start | ( | In_Element * | in | ) | `[virtual]`

| Reimplemented from ACE_RMCast::In_Element.

void ACE_RMCast::Link::in_stop | ( |  | ) | `[virtual]`

| Reimplemented from ACE_RMCast::In_Element.

void ACE_RMCast::Link::out_start | ( | Out_Element * | out | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Link::recv | ( | Message_ptr |  | ) | `[private, virtual]`

| Reimplemented from ACE_RMCast::In_Element.

void ACE_RMCast::Link::recv | ( |  | ) | `[private]`

ACE_THR_FUNC_RETURN ACE_RMCast::Link::recv_thunk | ( | void * | obj | ) | `[static, private]`

void ACE_RMCast::Link::send | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Link::send_ | ( | Message_ptr | m | ) | `[private, virtual]`

## Member Data Documentation

Address ACE_RMCast::Link::addr_`[private]`

Message_ptr ACE_RMCast::Link::hold_`[private]`

Mutex ACE_RMCast::Link::mutex_`[private]`

Parameters const& ACE_RMCast::Link::params_`[private]`

ACE_Thread_Manager ACE_RMCast::Link::recv_mgr_`[private]`

ACE_SOCK_Dgram_Mcast ACE_RMCast::Link::rsock_`[private]`

Address ACE_RMCast::Link::self_`[private]`

ACE_SOCK_Dgram ACE_RMCast::Link::ssock_`[private]`

bool ACE_RMCast::Link::stop_`[private]`

The documentation for this class was generated from the following files:

- Link.h
- Link.cpp